import * as collectionClient from "@/client/collection.client"
import type { Collections } from "@/types/collection.types"

export async function add(paperId: number, title: string, authors: string, units: string): Promise<number> {
  return collectionClient.add(paperId, title, authors, units)
}

export async function remove(id: number): Promise<boolean> {
  return collectionClient.remove(id)
}

export async function isCollected(paperId: number): Promise<number> {
  return collectionClient.isCollected(paperId)
}

export async function list(page: number): Promise<Collections> {
  return collectionClient.list(page)
}
